﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page
{
 protected void Page_Load(object sender, EventArgs e)
 {
  string[] tabCat = { "Informatique", "Sciences et techniques", "Audiovisuel", "BTP", "Vie pratique" };
  string sCat = Request.QueryString["Cat"];
  int iCat;
  if (sCat == null) zaInfo.Text = "Sélection par défaut : informatique"; 
  bool res = Int32.TryParse(sCat, out iCat);
  if (res && (iCat >= 0 && iCat <= 4))
   zaInfo.Text = "Sélection : " + tabCat[iCat];
  if (iCat == 5 || iCat==6)
  {
   sCat = Request.QueryString["Rech"];
   string sSujet = iCat==5 ? "Titre" : "Auteur";
   zaInfo.Text = "Sélection : " + sCat + " dans ";
   switch (iCat)
   {
    case 5: zaInfo.Text += " le titre de l'ouvrage"; break;
    case 6: zaInfo.Text += " nom d'auteur"; break;
   }


   OuvragesDSO.SelectCommand = "SELECT * FROM Ouvrages WHERE " + sSujet + " LIKE '%" + sCat + "%'";
   OuvragesDSO.DataBind();
  }
 }

 protected string retImage(object o)
 {
  string isbn = (string)o;
  return "gifs/" + isbn + ".gif";
 }
 protected string retHtml(object o)
 {
  string isbn = (string)o;
  return "htmls/" + isbn + ".htm";
 }
 protected void gv_RowCommand(object sender, GridViewCommandEventArgs e)
 {
  string sOp = e.CommandName.ToString();
  if (sOp == "Commande" )
  {
   int N = Convert.ToInt32(e.CommandArgument);
   string article = gv.DataKeys[N].Value.ToString();
   // ajouter au panier
   List<string> panier = Session["PANIER"] as List<string>;
   if (panier == null) panier = new List<string>();
   panier.Add(article); 
   Session["PANIER"] = panier;
  }
 }
}
